Download it now!
Bug 51708 - SLIDESHOW: text objects animation show shadow instead of text
Summary: SLIDESHOW: text objects animation show shadow instead of text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2012-07-04 01:27 UTC by Andy
Modified: 2018-11-05 14:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation with text object with unwanted shadow animation (14.47 KB, application/vnd.oasis.opendocument.presentation)
2012-07-04 01:27 UTC, Andy
Details
Demo of dual display (327.55 KB, image/jpeg)
2012-10-11 06:40 UTC, Johan Vromans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2012-07-04 01:27:13 UTC
Created attachment 63798 [details]
presentation with text object with unwanted shadow animation

Problem description: when you insert a text object in a slide, give it a background and a shadow, and animate the text inside to appear a paragraph at a time, the text is instead shown immediately and what appears with the animation is the unwanted shadow of the text.

Steps to reproduce:
1. open the attached odp file
2. you'll see a text object in the slide, with white background color and shadow
3. the object is animated, at each click you should show a new paragraph of the object
4. start presentation: the text is (wrongly) immediately visible
5. when you click the text of the first paragraph shows an unwanted shadow of the same kind you gave to the whole object
6. click again and the same annoying text shadow appears for the second paragraph
7. the only way to make it behave correctly is to avoid the shadow altogether, or to create it manually placing a real second grey object behind the main one.

Expected behavior: animation should work normally, showing each paragraph, with the shadow only visible for the object shape. Actually it seems that the relationship between text, the shape of the text object, shadowing and animation is not completely thought out.

Platform (if different from the browser): win 7
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 Johan Vromans 2012-10-11 06:40:05 UTC
Created attachment 68427 [details]
Demo of dual display
Comment 2 bfoman (inactive) 2013-01-21 13:41:55 UTC
(In reply to comment #0)
> Steps to reproduce:
> 1. open the attached odp file
> 2. you'll see a text object in the slide, with white background color and
> shadow
> 3. the object is animated, at each click you should show a new paragraph of
> the object
> 4. start presentation: the text is (wrongly) immediately visible
> 5. when you click the text of the first paragraph shows an unwanted shadow
> of the same kind you gave to the whole object
> 6. click again and the same annoying text shadow appears for the second
> paragraph

Confirmed with:
LO 4.0.0.1
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 3 bfoman (inactive) 2013-01-21 13:47:06 UTC
(In reply to comment #1)
> Created attachment 68427 [details]
> Demo of dual display

What this attachment is about? If uploaded in error please mark it as obsolete (in Attachments' table click Details>edit details>obsolete).
Comment 4 Jacqueline Rahemipour 2013-03-23 22:23:01 UTC
Set to NEW, confirmed with 4.0.1, Ubuntu. Wrong text animation, if text frame has a shadow. If you disable the shadow, the animation works correctly.
Comment 5 ign_christian 2013-05-11 04:21:44 UTC
reproducible with LO 3.6.6.2 (Ubuntu 12.04.2)
Comment 6 QA Administrators 2015-03-04 02:20:45 UTC Comment hidden (obsolete)
Comment 7 Andy 2015-03-04 09:10:36 UTC
As requested, I have tested this problem with LO4.4.1.2.

Unfortunately, nothing has changed: the bug is still there exactly as it was.
Comment 8 tommy27 2016-04-16 07:28:22 UTC Comment hidden (obsolete)
Comment 9 Andy 2016-04-17 18:20:40 UTC
As requested, I checked this with the 5.1.2 LO release I have now installed. 
The problem is still there and alas nothing has changed.
BtW this happens on both win7 and win8
Thanks
Comment 10 QA Administrators 2017-05-22 13:26:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522